Create a contact
POST
/contactsAutorisierung
AuthorizationBearer-Token · headererforderlichA BillionSend API key (bs_…).
Request-Body
erforderlichapplication/jsonemailstring<email>erforderlichBare email address (no display name); unique per team
first_namestringFirst name
last_namestringLast name
unsubscribedbooleanGlobal opt-out from all marketing sends
propertiesobjectFlat map of custom properties (string or number values)
segmentsobject[]Segments to add the contact to on creation
Eigenschaften anzeigenEigenschaften ausblenden
Array von
objectidstring<uuid>erforderlichtopicsobject[]Initial per-topic subscription choices
Eigenschaften anzeigenEigenschaften ausblenden
Array von
objectidstring<uuid>erforderlichsubscriptionstringerforderlichErlaubt:
opt_inopt_outAntworten
200
Contact created
objectstringerforderlichErlaubt:
contactidstring<uuid>erforderlich401
Missing, malformed, unknown or revoked API key
statusCodenumbererforderlichnamestringerforderlichmessagestringerforderlich403
Plan limit reached
statusCodenumbererforderlichnamestringerforderlichmessagestringerforderlich404
Unknown segment or topic
statusCodenumbererforderlichnamestringerforderlichmessagestringerforderlich409
Contact already exists
statusCodenumbererforderlichnamestringerforderlichmessagestringerforderlich422
Validation error
statusCodenumbererforderlichnamestringerforderlichmessagestringerforderlich429
Over the rate limit (rate_limit_exceeded, with Retry-After)
statusCodenumbererforderlichnamestringerforderlichmessagestringerforderlich